LOCALE::PO4A::COMMON.3PM(1) User Contributed Perl Documentation LOCALE::PO4A::COMMON.3PM(1)

Locale::Po4a::Common - Utilitaires et parties communes des scripts po4a

Locale::Po4a::Common comprend les parties communes des scripts po4a et quelques fonctions utiles pour certains modules.

Si nécessaire, vous pouvez désactiver l'utilisation de Text::WrapI18N comme ceci :

use Locale::Po4a::Common qw(nowrapi18n);
use Locale::Po4a::Text;

au lieu de :

use Locale::Po4a::Text;

L’ordre est important ici puisque la plupart des modules Locale::Po4a chargent eux-même Locale::Po4a::Common et que la première fois que ce module est chargé détermine si Text::WrapI18N est utilisé.

  • show_version($)

    Affiche la version courante du script, et un court message de copyright. Il prend le nom du script comme paramètre.

  • wrap_msg($@)

    Cette fonction affiche un message de la même façon que sprintf(), mais met en plus le résultat en forme de telle sorte qu’il soit bien mis en forme sur un terminal.

  • wrap_mod($$@)

    Cette fonction fonctionne de la même façon que wrap_msg(), mais elle prend le nom d’un module comme premier paramètre, et ajoute une espace à gauche du message.

  • wrap_ref_mod($$$@)

    Cette fonction fonctionne comme wrap_msg(), mais elle prend une référence de la forme fichier:ligne comme premier paramètre, un nom de module comme second paramètre, et ajoute une espace à gauche du message.

Locale::Gettext

Quand le module Locale::Gettext ne peut pas être chargé, ce module fournit une fausse implémentation (vide) pour les fonctions suivantes. Dans ce cas, les messages ne seront pas traduits, mais le programme continuera à fonctionner.

Si Locale::gettext est présent, cette encapsulation appellera setlocale(LC_MESSAGES, "") de telle sorte que les appelants ne dépendent pas non plus du module POSIX.

  • bindtextdomain($$)
  • textdomain($)
  • gettext($)
  • dgettext($$)

Jordi Vilalta <jvprat@gmail.com>

Martin Quinson (mquinson#debian.org)

Copyright © 2005 SPI, inc.

Ce programme est un logiciel libre ; vous pouvez le copier et / ou le modifier sous les termes de la GPL v2.0 ou suivante (voir le fichier COPYING).

2024-06-08 perl v5.38.2